RegisterMethods.MethodType
Date: 2014-08-08

melting.configuration

## Enum RegisterMethods.MethodType

- java.lang.Object
- - java.lang.Enum<RegisterMethods.MethodType>
  - - melting.configuration.RegisterMethods.MethodType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RegisterMethods.MethodType>
  Enclosing class:
    RegisterMethods

      public static enum RegisterMethods.MethodType
      extends java.lang.Enum<RegisterMethods.MethodType>

  Represents a particular type of method (e.g., approximative method, double dangling end method, Mg/Na mix correction method). This enum provides a (Java) method to get a list of all the (thermodynamic) methods of that type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPROXIMATIVE`
    `AZOBENZENE`
    `CNG_REPEATS`
    `CRICKS`
    `DMSO_CORRECTION`
    `DOUBLE_DANGLING_END`
    `FORMAMIDE_CORRECTION`
    `HYDROXYADENOSINE`
    `INOSINE`
    `INTERNAL_LOOP`
    `ION_CORRECTION`
    `LOCKED_ACID`
    `LOCKED_ACID_SINGLE_MISMATCH`
    `LONG_BULGE_LOOP`
    `LONG_DANGLING_END`
    `NA_EQUATION`
    `OTHER_CORRECTION`
    `SINGLE_BULGE_LOOP`
    `SINGLE_DANGLING_END`
    `SINGLE_MISMATCH`
    `TANDEM_LOCKED_ACID`
    `TANDEM_MISMATCH`
    `WOBBLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<MethodText>` | `getMethodTextList()` Gets a list of the text representations of methods of this type.
    `static RegisterMethods.MethodType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RegisterMethods.MethodType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NA_EQUATION

          public static final RegisterMethods.MethodType NA_EQUATION

    - #### APPROXIMATIVE

          public static final RegisterMethods.MethodType APPROXIMATIVE

    - #### CRICKS

          public static final RegisterMethods.MethodType CRICKS

    - #### SINGLE_MISMATCH

          public static final RegisterMethods.MethodType SINGLE_MISMATCH

    - #### TANDEM_MISMATCH

          public static final RegisterMethods.MethodType TANDEM_MISMATCH

    - #### WOBBLE

          public static final RegisterMethods.MethodType WOBBLE

    - #### INTERNAL_LOOP

          public static final RegisterMethods.MethodType INTERNAL_LOOP

    - #### SINGLE_BULGE_LOOP

          public static final RegisterMethods.MethodType SINGLE_BULGE_LOOP

    - #### LONG_BULGE_LOOP

          public static final RegisterMethods.MethodType LONG_BULGE_LOOP

    - #### SINGLE_DANGLING_END

          public static final RegisterMethods.MethodType SINGLE_DANGLING_END

    - #### DOUBLE_DANGLING_END

          public static final RegisterMethods.MethodType DOUBLE_DANGLING_END

    - #### LONG_DANGLING_END

          public static final RegisterMethods.MethodType LONG_DANGLING_END

    - #### INOSINE

          public static final RegisterMethods.MethodType INOSINE

    - #### CNG_REPEATS

          public static final RegisterMethods.MethodType CNG_REPEATS

    - #### AZOBENZENE

          public static final RegisterMethods.MethodType AZOBENZENE

    - #### LOCKED_ACID

          public static final RegisterMethods.MethodType LOCKED_ACID

    - #### TANDEM_LOCKED_ACID

          public static final RegisterMethods.MethodType TANDEM_LOCKED_ACID

    - #### LOCKED_ACID_SINGLE_MISMATCH

          public static final RegisterMethods.MethodType LOCKED_ACID_SINGLE_MISMATCH

    - #### HYDROXYADENOSINE

          public static final RegisterMethods.MethodType HYDROXYADENOSINE

    - #### ION_CORRECTION

          public static final RegisterMethods.MethodType ION_CORRECTION

    - #### DMSO_CORRECTION

          public static final RegisterMethods.MethodType DMSO_CORRECTION

    - #### FORMAMIDE_CORRECTION

          public static final RegisterMethods.MethodType FORMAMIDE_CORRECTION

    - #### OTHER_CORRECTION

          public static final RegisterMethods.MethodType OTHER_CORRECTION

  - ### Method Detail

    - #### values

          public static RegisterMethods.MethodType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegisterMethods.MethodType c : RegisterMethods.MethodType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegisterMethods.MethodType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMethodTextList

          public java.util.ArrayList<MethodText> getMethodTextList()

      Gets a list of the text representations of methods of this type.
      Returns:
        A list of the full names and argument codes for all the methods of this type.